WordPress.org

Making WordPress.org

Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#824 closed defect (worksforme)

Automatic BuddyPress language packs upgrade are getting the development version instead of 2.1.x one

Reported by: imath Owned by:
Milestone: Priority: normal
Component: Translate Site & Plugins Keywords:
Cc:

Description

My personal website has BuddyPress 2.1.1 activated. I've just made a full back up of it and discovered that the po file header is :

# Translation of Development in French (France)
# This file is distributed under the same license as the Development package.
msgid ""
msgstr ""
"PO-Revision-Date: 2014-10-04 17:46:53+0000\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=n > 1;\n"
"X-Generator: GlotPress/0.1\n"
"Project-Id-Version: Development\n"

Meaning all fr_FR sites are getting the "development strings" instead of the 2.1.x ones. I've just downloaded the 2.1.x po file on translate.wordpress.org and its header is :

# Translation of 2.1.x in French (France)
# This file is distributed under the same license as the 2.1.x package.
msgid ""
msgstr ""
"PO-Revision-Date: 2014-12-09 17:29:32+0000\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=n > 1;\n"
"X-Generator: GlotPress/1.0-alpha-1000\n"
"Project-Id-Version: 2.1.x\n"

So 2.1.x revision date is "fresher" than development one

Is the fact that 2.1.x fr_FR is not completed at 100% could generate the download of the development version instead ?

Change History (3)

This ticket was mentioned in Slack in #buddypress by djpaul. View the logs.


4 years ago

#2 @netweb
4 years ago

  • Resolution set to worksforme
  • Status changed from new to closed

The automatic translations updates language packs delivered have slightly different headers, they DO NOT actually include the version of BuddyPress, they are all listed as "Development Version"

via the Translation API the BP 2.1 headers match your details above, so fr_FR sites are in fact getting the correct BP 2.1 translations.

BuddyPress v2.1
https://api.wordpress.org/translations/plugins/1.0/?slug=buddypress&version=2.1
https://downloads.wordpress.org/translation/plugin/buddypress/2.1/fr_FR.zip

# Translation of Development in French (France)
# This file is distributed under the same license as the Development package.
msgid ""
msgstr ""
"PO-Revision-Date: 2014-10-04 17:46:53+0000\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=n > 1;\n"
"X-Generator: GlotPress/0.1\n"
"Project-Id-Version: Development\n"

And for reference, BuddyPress v2.0
https://api.wordpress.org/translations/plugins/1.0/?slug=buddypress&version=2.0
https://downloads.wordpress.org/translation/plugin/buddypress/2.0/fr_FR.zip

# Translation of Development in French (France)
# This file is distributed under the same license as the Development package.
msgid ""
msgstr ""
"PO-Revision-Date: 2014-04-16 20:54:48+0000\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=n > 1;\n"
"X-Generator: GlotPress/0.1\n"
"Project-Id-Version: Development\n"

The downloaded fr_FR .po file from https://translate.wordpress.org/projects/buddypress/2.1.x/fr/default/export-translations?format=po is generated from a different process/task thus the discrepancy in times.

This ticket was mentioned in Slack in #buddypress by netweb. View the logs.


4 years ago

Note: See TracTickets for help on using tickets.